from Users import Users
from tkinter import *

class Application:
    def __init__(self, master=None):
        self.font = ("Verdana", "18")
        self.container1 = Frame(master)
        self.container1["pady"] = 10
        self.container1.pack()
        self.container2 = Frame(master)
        self.container2["padx"] = 20
        self.container2["pady"] = 5
        self.container2.pack()
        self.container3 = Frame(master)
        self.container3["padx"] = 20
        self.container3["pady"] = 5
        self.container3.pack()
        self.container4 = Frame(master)
        self.container4["padx"] = 20
        self.container4["pady"] = 5
        self.container4.pack()
        self.container5 = Frame(master)
        self.container5["padx"] = 20
        self.container5["pady"] = 5
        self.container5.pack()
        self.container6 = Frame(master)
        self.container6["padx"] = 20
        self.container6["pady"] = 5
        self.container6.pack()
        self.container7 = Frame(master)
        self.container7["padx"] = 20
        self.container7["pady"] = 5
        self.container7.pack()
        self.container8 = Frame(master)
        self.container8["padx"] = 20
        self.container8["pady"] = 10
        self.container8.pack()
        self.container9 = Frame(master)
        self.container9["pady"] = 15
        self.container9.pack()

        self.title = Label(self.container1, text="Insert data :")
        self.title["font"] = ("Verdana", "18", "bold")
        self.title.pack ()

        self.lblUser = Label(self.container2,
        text="idUser:", font=self.font, width=10)
        self.lblUser.pack(side=LEFT)

        self.txtIdUser = Entry(self.container2)
        self.txtIdUser["width"] = 10
        self.txtIdUser["font"] = self.font
        self.txtIdUser.pack(side=LEFT)

        self.btnSearch = Button(self.container2, text="Search",
        font=self.font, width=10)
        self.btnSearch["command"] = self.searchuser
        self.btnSearch.pack(side=RIGHT)

        self.lblName = Label(self.container3, text="Name:",
        font=self.font, width=10)
        self.lblName.pack(side=LEFT)

        self.txtName = Entry(self.container3)
        self.txtName["width"] = 25
        self.txtName["font"] = self.font
        self.txtName.pack(side=LEFT)

        self.lblTelephone = Label(self.container4, text="Telephone:",
        font=self.font, width=10)
        self.lblTelephone.pack(side=LEFT)

        self.txtTelephone = Entry(self.container4)
        self.txtTelephone["width"] = 25
        self.txtTelephone["font"] = self.font
        self.txtTelephone.pack(side=LEFT)

        self.lblEmail= Label(self.container5, text="E-mail:",
        font=self.font, width=10)
        self.lblEmail.pack(side=LEFT)

        self.txtEmail = Entry(self.container5)
        self.txtEmail["width"] = 25
        self.txtEmail["font"] = self.font
        self.txtEmail.pack(side=LEFT)

        self.lblUser= Label(self.container6, text="User:",
        font=self.font, width=10)
        self.lblUser.pack(side=LEFT)

        self.txtUser = Entry(self.container6)
        self.txtUser["width"] = 25
        self.txtUser["font"] = self.font
        self.txtUser.pack(side=LEFT)

        self.lblPassword= Label(self.container7, text="Password:",
        font=self.font, width=10)
        self.lblPassword.pack(side=LEFT)

        self.txtPassword = Entry(self.container7)
        self.txtPassword["width"] = 25
        self.txtPassword["show"] = "*"
        self.txtPassword["font"] = self.font
        self.txtPassword.pack(side=LEFT)

        self.btnInsert = Button(self.container8, text="Insert",
        font=self.font, width=12)
        self.btnInsert["command"] = self.insertuser
        self.btnInsert.pack (side=LEFT)

        self.bntUpdate = Button(self.container8, text="Update",
        font=self.font, width=12)
        self.bntUpdate["command"] = self.updateuser
        self.bntUpdate.pack (side=LEFT)

        self.bntDelete = Button(self.container8, text="Delete",
        font=self.font, width=12)
        self.bntDelete["command"] = self.deleteuser
        self.bntDelete.pack(side=LEFT)

        self.lblMsg = Label(self.container9, text="")
        self.lblMsg["font"] = ("Verdana", "18", "italic")
        self.lblMsg.pack()


    def insertuser(self):
        user = Users()

        user.name = self.txtName.get()
        user.telephone = self.txtTelephone.get()
        user.email = self.txtEmail.get()
        user.user = self.txtUser.get()
        user.password = self.txtPassword.get()

        self.lblMsg["text"] = user.insertUser()

        self.txtIduser.delete(0, END)
        self.txtName.delete(0, END)
        self.txtTelephone.delete(0, END)
        self.txtEmail.delete(0, END)
        self.txtUser.delete(0, END)
        self.txtPassword.delete(0, END)



    def updateuser(self):
        user = Users()

        user.iduser = self.txtIdUser.get()
        user.name = self.txtName.get()
        user.telephone = self.txtTelephone.get()
        user.email = self.txtEmail.get()
        user.user = self.txtUser.get()
        user.password = self.txtPassword.get()

        self.lblMsg["text"] = user.updateUser()

        self.txtIdUser.delete(0, END)
        self.txtName.delete(0, END)
        self.txtTelephone.delete(0, END)
        self.txtEmail.delete(0, END)
        self.txtUser.delete(0, END)
        self.txtPassword.delete(0, END)



    def deleteuser(self):
        user = Users()

        user.iduser = self.txtIdUser.get()

        self.lblMsg["text"] = user.deleteUser()

        self.txtIdUser.delete(0, END)
        self.txtName.delete(0, END)
        self.txtTelephone.delete(0, END)
        self.txtEmail.delete(0, END)
        self.txtUser.delete(0, END)
        self.txtPassword.delete(0, END)


    def searchuser(self):
        user = Users()

        iduser = self.txtIdUser.get()

        self.lblMsg["text"] = user.selectUser(iduser)

        self.txtIdUser.delete(0, END)
        self.txtIdUser.insert(INSERT, user.iduser)

        self.txtName.delete(0, END)
        self.txtName.insert(INSERT, user.name)

        self.txtTelephone.delete(0, END)
        self.txtTelephone.insert(INSERT,user.telephone)

        self.txtEmail.delete(0, END)
        self.txtEmail.insert(INSERT, user.email)

        self.txtUser.delete(0, END)
        self.txtUser.insert(INSERT, user.user)

        self.txtPassword.delete(0, END)
        self.txtPassword.insert(INSERT,user.password)

window = Tk()
Application(window)
window.mainloop()